# Uses of Interface
java.beans.beancontext.BeanContextMembershipListener

Packages that use BeanContextMembershipListener
Package
Description
java.beans.beancontext
Provides classes and interfaces relating to bean context.

## Uses of BeanContextMembershipListener in java.beans.beancontext

Fields in java.beans.beancontext with type parameters of type BeanContextMembershipListener
Modifier and Type
Field
Description
`protected ArrayList<BeanContextMembershipListener>`
BeanContextSupport.`bcmListeners`
all accesses to the `protected ArrayList bcmListeners` field shall be synchronized on that object.
Methods in java.beans.beancontext that return BeanContextMembershipListener
Modifier and Type
Method
Description
`protected static final BeanContextMembershipListener`
BeanContextSupport.`getChildBeanContextMembershipListener(Object child)`
Gets the BeanContextMembershipListener (if any) of the specified child
Methods in java.beans.beancontext with parameters of type BeanContextMembershipListener
Modifier and Type
Method
Description
`void`
BeanContext.`addBeanContextMembershipListener(BeanContextMembershipListener bcml)`
Adds the specified `BeanContextMembershipListener` to receive `BeanContextMembershipEvents` from this `BeanContext` whenever it adds or removes a child `Component`(s).
`void`
BeanContextSupport.`addBeanContextMembershipListener(BeanContextMembershipListener bcml)`
Adds a BeanContextMembershipListener
`void`
BeanContext.`removeBeanContextMembershipListener(BeanContextMembershipListener bcml)`
Removes the specified `BeanContextMembershipListener` so that it no longer receives `BeanContextMembershipEvent`s when the child `Component`(s) are added or removed.
`void`
BeanContextSupport.`removeBeanContextMembershipListener(BeanContextMembershipListener bcml)`
Removes a BeanContextMembershipListener